import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * A ZooKeeper floats through the blood stream. It is bad, but this zookeeper is too strong
 * for our white blood cell: our kind of white blood cell cannot destroy it. In fact,
 * this zookeeper destroys the white blood cell! Stay away from it.
 * 
 * @author Michael Kölling
 * @version 1.0
 */
public class ZooKeeper extends Actor
{
    public ZooKeeper()
    {
        GreenfootImage image = getImage();
        image.scale(60,110);
        setImage(image);
    }
    
    
    /**
     * Float along, slowly rotating.
     */
    
    public void act() 
    {
        
        setLocation(getX()-6, getY());
       
        
        if (getX() == 0) 
        {
            getWorld().removeObject(this);
        }
    }    
}
